package com.fuint.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fuint.framework.pagination.PaginationRequest;
import com.fuint.framework.pagination.PaginationResponse;
import com.fuint.repository.model.MtTableInfo;
import com.fuint.framework.exception.BusinessCheckException;
import java.util.List;
import java.util.Map;

/**
 * 餐桌信息业务接口
 *
 * Created by pzg
 * CopyRight https://www.fuint.cn
 */
public interface TableInfoService extends IService<MtTableInfo> {

    /**
     * 分页查询列表
     *
     * @param paginationRequest
     * @return
     */
    PaginationResponse<MtTableInfo> queryTableInfoListByPagination(PaginationRequest paginationRequest) throws BusinessCheckException;

    /**
     * 添加餐桌信息
     *
     * @param  mtTableInfo
     * @throws BusinessCheckException
     * @return
     */
    MtTableInfo addTableInfo(MtTableInfo mtTableInfo) throws BusinessCheckException;

    /**
     * 根据ID获取餐桌信息信息
     *
     * @param id ID
     * @throws BusinessCheckException
     * @return
     */
    MtTableInfo queryTableInfoById(Long id) throws BusinessCheckException;

    /**
     * 根据ID删除餐桌信息
     *
     * @param id ID
     * @param operator 操作人
     * @throws BusinessCheckException
     * @return
     */
    void deleteTableInfo(Long id, String operator) throws BusinessCheckException;

    /**
     * 更新餐桌信息
     * @param  mtTableInfo
     * @throws BusinessCheckException
     * @return
     * */
    MtTableInfo updateTableInfo(MtTableInfo mtTableInfo) throws BusinessCheckException;

    /**
     * 根据条件搜索餐桌信息
     *
     * @param params 查询参数
     * @throws BusinessCheckException
     * @return
     * */
    List<MtTableInfo> queryTableInfoListByParams(Map<String, Object> params) throws BusinessCheckException;

	List<MtTableInfo> selectTableListByStoreId(Long storeId, Long categoryId);
}
