package com.fuint.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fuint.common.dto.VersionDto;
import com.fuint.common.vo.VersionVo;
import com.fuint.framework.pagination.PaginationRequest;
import com.fuint.framework.pagination.PaginationResponse;
import com.fuint.framework.web.PageResult;
import com.fuint.repository.model.MtVersion;
import com.fuint.framework.exception.BusinessCheckException;
import java.util.List;
import java.util.Map;

/**
 * 版本控制表业务接口
 *
 * Created by pzg
 * CopyRight https://www.fuint.cn
 */
public interface VersionService extends IService<MtVersion> {

    /**
     * 分页查询列表
     *
     * @param versionDto
     * @return
     */
    PageResult<VersionVo> queryVersionPageList(VersionDto versionDto) throws BusinessCheckException;

    /**
     * 添加版本控制表
     *
     * @param  versionDto
     * @throws BusinessCheckException
     * @return
     */
    VersionVo addVersion(VersionDto versionDto) throws BusinessCheckException;

    /**
     * 根据ID获取版本控制表信息
     *
     * @param id ID
     * @throws BusinessCheckException
     * @return
     */
    VersionVo queryVersionById(Long id) throws BusinessCheckException;

    /**
     * 根据ID删除版本控制表
     *
     * @param id ID
     * @throws BusinessCheckException
     * @return
     */
    void deleteVersionById(Long id) throws BusinessCheckException;

    /**
     * 更新版本控制表
     * @param  versionDto
     * @throws BusinessCheckException
     * @return
     * */
    VersionVo updateVersion(VersionDto versionDto) throws BusinessCheckException;


}
