package com.fuint.common.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fuint.common.dto.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * 材料采购订单项表实体
 *
 * @Created by huangwen
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
public class MtPurchaseOrderItemVo extends Page implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建用户id")
    private String createUserId;

    @ApiModelProperty("是否删除 0否 1是")
    private Integer deleteFlag;

    @ApiModelProperty("采购菜单项id")
    @TableId(value = "ID", type = IdType.ID_WORKER)
    private Long id;

    @ApiModelProperty("材料id")
    private String materialId;

    @ApiModelProperty("材料名字")
    private String materialName;

    @ApiModelProperty("项目标识")
    private String project;

    @ApiModelProperty("采购订单id")
    private String purchaseNo;

    @ApiModelProperty("总价")
    private Long totalPrice;

    @ApiModelProperty("总数")
    private Integer totalQuantity;

    @ApiModelProperty("单价")
    private Double unitPrice;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("修改用户id")
    private String updateUserId;

}
