package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 货币表实体
 *
 * @Created by pzg
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
@TableName("mt_currency")
@ApiModel(value = "currency表对象", description = "currency表对象")
public class MtCurrency implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty("创建用户id")
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    @ApiModelProperty("是否删除 0否 1是")
    @TableLogic
    private Integer deleteFlag;

    @ApiModelProperty("id")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("货币名称")
    private String name;

    @ApiModelProperty("项目标识")
    private String project;

    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty("修改用户id")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

}
