package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 菜品配料表实体
 *
 * @Created by pzg
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
@TableName("mt_ingredient")
@ApiModel(value = "ingredient表对象", description = "ingredient表对象")
public class MtIngredient implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建用户id")
    private String createUserId;

    @ApiModelProperty("是否删除 0否 1是")
    private Integer deleteFlag;

    @ApiModelProperty("用量")
    private Integer dosage;

    @ApiModelProperty("菜品id")
    private String goodsId;

    @ApiModelProperty("id")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("材料id")
    private String materialId;

    @ApiModelProperty("项目标识")
    private String project;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("修改用户id")
    private String updateUserId;

}
