package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 材料实体
 */
@Getter
@Setter
@TableName("mt_material")
@ApiModel(value = "material表对象", description = "material表对象")
public class MtMaterial implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("材料表id")
    @TableId(value = "ID", type = IdType.ID_WORKER)
    private Long id;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建用户id")
    private String createUserId;

    @TableLogic
    @ApiModelProperty("是否删除 0否 1是")
    private Integer deleteFlag;

    @ApiModelProperty("材料文件/图片id")
    private String fileId;

    @ApiModelProperty("库存数量")
    private Integer inventory;

    @ApiModelProperty("材料编号")
    private String materialNo;

    @ApiModelProperty("材料类别")
    private String materialTypeId;

    @ApiModelProperty("材料名称")
    private String name;

    @ApiModelProperty("项目标识")
    private String project;

    @ApiModelProperty("采购期数")
    private Integer purchasePeriod;

    @ApiModelProperty("保质期")
    private Integer shelfLife;

    @ApiModelProperty("规格")
    private String specification;

    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("单位")
    private String unit;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("修改用户id")
    private String updateUserId;

    @ApiModelProperty("状态（0下架1上架）")
    private Integer status;

}
