package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 材料类型表实体
 *
 * @Created by PZG
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
@TableName("mt_material_type")
@ApiModel(value = "material_type表对象", description = "material_type表对象")
public class MtMaterialType implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建用户id")
    private String createUserId;

    @TableLogic
    @ApiModelProperty("是否删除 0否 1是")
    private Integer deleteFlag;

    @ApiModelProperty("是否启用 0 否 1是")
    private Integer enable;

    @ApiModelProperty("id")
    @TableId(value = "ID", type = IdType.ID_WORKER)
    private Long id;

    @ApiModelProperty("类型名称")
    private String name;

    @ApiModelProperty("项目标识")
    private String project;

    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("修改用户id")
    private String updateUserId;

}
