package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 采购订单表实体
 *
 * @Created by huangwen
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
@TableName("mt_purchase_order")
@ApiModel(value = "purchase_order表对象", description = "purchase_order表对象")
public class MtPurchaseOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("实际支付")
    private Double actualPrice;

    @ApiModelProperty("联系方式")
    private String contactWay;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建用户id")
    private String createUserId;

    @ApiModelProperty("是否删除 0否 1是")
    private Integer deleteFlag;

    @ApiModelProperty("发票文件/图片id")
    private String fileId;

    @ApiModelProperty("采购记录id")
    @TableId(value = "ID", type = IdType.ID_WORKER)
    private Long id;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("项目标识")
    private String project;

    @ApiModelProperty("采购货源")
    private String puchaseSource;

    @ApiModelProperty("采购时间")
    private Date purchaseTime;

    @ApiModelProperty("支付方式")
    private Integer purchaseType;

    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("总价")
    private Double totalPrice;

    @ApiModelProperty("商品总数量")
    private Integer totalQuantity;

    @ApiModelProperty("商品总数量")
    private Integer totalWeight;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("修改用户id")
    private String updateUserId;

    @ApiModelProperty("采购人")
    private String userId;

}
