package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 餐桌分类表实体
 *
 * @Created by pzg
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
@TableName("mt_table_category")
@ApiModel(value = "table_category表对象", description = "table_category表对象")
public class MtTableCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("桌号分类名称，如一楼、二楼等")
    private String categoryName;

    @ApiModelProperty("记录创建时间")
    private Date createTime;

    @ApiModelProperty("创建用户id")
    private String createUserId;

    @ApiModelProperty("是否删除 0否 1是")
    private Integer deleteFlag;

    @ApiModelProperty("桌号分类描述，可选")
    private String description;

    @ApiModelProperty("桌号分类ID，主键，自增")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目标识")
    private String project;


    @ApiModelProperty("门店ID，外键，关联到store表")
    private Long storeId;

    @ApiModelProperty("记录更新时间")
    private Date updateTime;

    @ApiModelProperty("修改用户id")
    private String updateUserId;

}
