package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

/**
 * 版本控制表实体
 *
 * @Created by pzg
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
@Builder
@TableName("mt_version")
@ApiModel(value = "version表对象", description = "version表对象")
public class MtVersion implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty("创建用户id")
    @TableField(value = "create_user_id",fill = FieldFill.INSERT)
    private String createUserId;

    @ApiModelProperty("是否删除 0否 1是")
    private Integer deleteFlag;

    @ApiModelProperty("版本描述")
    private String description;

    @ApiModelProperty("下载地址")
    private String downloadUrl;

    @ApiModelProperty("生效日期")
    private Date effectiveDate;

    @ApiModelProperty("版本id")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("是否强制更新 0否 1是")
    private Integer isMandatory;

    @ApiModelProperty("版本名称")
    private String name;

    @ApiModelProperty("支持的平台列表")
    private String platforms;

    @ApiModelProperty("项目标识")
    private String project;

    @ApiModelProperty("发布日期")
    private Date releaseDate;

    @ApiModelProperty("0不更新1更新")
    private Integer status;

    @ApiModelProperty("版本类型")
    private String type;

    @ApiModelProperty("更新时间")
//    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty("修改用户id")
//    @TableField(value = "update_user_id",fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

}
